Bug 6033 - Add Filters to SQL Saved Reports
Summary: Add Filters to SQL Saved Reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 02:13 UTC by Shelley
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (6.46 KB, patch)
2011-04-06 03:40 UTC, Srdjan Jankovic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Shelley 2011-04-01 02:13:54 UTC
We'd like to add filters to the SQL reports list; long lists of reports are very difficult to navigate. The filters should be on date, author and keyword. Keyword would match against report name, notes, and the actual SQL itself. 

The default sort for the reports should alphabetical by report name, ascending. 

Additionally, there should be a way to go back to a particular filter and page number of results after viewing the SQL, or running the report.

Having the same pagination code that is now present on Item Types and Authorized Values would be nice... but making that information 'memorable' to the system would likely add needless complication. If going Back can remember the search filters, that should be sufficient (librarians can just filter better if they need more precision)
Comment 1 Srdjan Jankovic 2011-04-06 03:40:43 UTC
Created attachment 3720 [details] [review]
patch
Comment 2 Frederic Durand 2011-04-06 14:58:57 UTC
Filters working good. Default sort too.
No particular way to get back to your filter, but if you re using going back or clicking on report's link, it keeps your filter in mind.
Pagination is the same as Authorized values.

Just missing the memorisation of page's number when going back.

But seems enough to signed it off as well no?
Comment 3 Chris Cormack 2011-04-06 17:00:16 UTC
Yep, I think it is ok to sign off.
Comment 4 Chris Cormack 2011-04-28 01:34:54 UTC
Pushed, please test
Comment 5 Nicole C. Engard 2011-04-28 12:29:36 UTC
When I click on 'Use Saved' I get the following error:



Software error:

Template process failed: file error - parse error - /home/nengard/kohaclone/koha-tmpl/intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt line 140: unexpected token (")
  [% filter_author" %] at /home/nengard/kohaclone/C4/Templates.pm line 119.

For help, please send mail to the webmaster (webmaster@debian), giving this error message and the time and date of the error.
Comment 6 Chris Cormack 2011-04-28 21:41:48 UTC
Fixed, please retest